aboutsummaryrefslogtreecommitdiffstats
path: root/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build.sh')
-rw-r--r--build.sh38
1 files changed, 25 insertions, 13 deletions
diff --git a/build.sh b/build.sh
index 9e5a9d3c3..e7dbb1ba4 100644
--- a/build.sh
+++ b/build.sh
@@ -9,13 +9,10 @@ docker/tempest \
docker/healthcheck \
docker/smoke \
docker/benchmarking \
-docker/vnf"}
-arm_dirs=${arm_dirs-"\
-docker/core \
-docker/tempest \
-docker/healthcheck \
-docker/smoke \
-docker/benchmarking"}
+docker/vnf \
+docker/smoke-cntt \
+docker/benchmarking-cntt"}
+arm_dirs=${arm_dirs-${amd64_dirs}}
arm64_dirs=${arm64_dirs-${amd64_dirs}}
build_opts=("--pull=true" --no-cache "--force-rm=true")
@@ -25,6 +22,11 @@ find . -name Dockerfile -exec sed -i \
-e \
"s|opnfv/functest-tempest:iruya|${repo}/functest-tempest:amd64-iruya|g" \
{} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|opnfv/functest-smoke:iruya|${repo}/functest-smoke:amd64-iruya|g" {} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|opnfv/functest-benchmarking:iruya|\
+${repo}/functest-benchmarking:amd64-iruya|g" {} +
for dir in ${amd64_dirs}; do
(cd "${dir}" &&
docker build "${build_opts[@]}" \
@@ -38,13 +40,18 @@ done
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
- -e "s|alpine:3.9|multiarch/alpine:arm64-v3.9|g" {} +
+ -e "s|alpine:3.9|arm64v8/alpine:3.9|g" {} +
find . -name Dockerfile -exec sed -i \
-e "s|opnfv/functest-core:iruya|${repo}/functest-core:arm64-iruya|g" {} +
find . -name Dockerfile -exec sed -i \
-e \
"s|opnfv/functest-tempest:iruya|${repo}/functest-tempest:arm64-iruya|g" \
{} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|opnfv/functest-smoke:iurya|${repo}/functest-smoke:arm64-iruya|g" {} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|opnfv/functest-benchmarking:iruya|\
+${repo}/functest-benchmarking:arm64-iruya|g" {} +
for dir in ${arm64_dirs}; do
(cd "${dir}" && docker build "${build_opts[@]}" \
-t "${repo}/functest-${dir##**/}:arm64-iruya" .)
@@ -53,17 +60,22 @@ for dir in ${arm64_dirs}; do
(docker rmi "${repo}/functest-${dir##**/}:arm64-iruya" || true)
done
[ -n "${arm64_dirs}" ] &&
- (docker rmi "${repo}/functest-core:arm64-iruya" \
- multiarch/alpine:arm64-v3.9 || true)
+ (docker rmi "${repo}/functest-core:arm64-jerma" \
+ arm64v8/alpine:3.9 || true)
find . -name Dockerfile -exec git checkout {} +
find . -name Dockerfile -exec sed -i \
- -e "s|alpine:3.9|multiarch/alpine:armhf-v3.9|g" {} +
+ -e "s|alpine:3.9|arm32v6/alpine:3.9|g" {} +
find . -name Dockerfile -exec sed -i \
-e "s|opnfv/functest-core:iruya|${repo}/functest-core:arm-iruya|g" {} +
find . -name Dockerfile -exec sed -i \
-e \
"s|opnfv/functest-tempest:iruya|${repo}/functest-tempest:arm-iruya|g" {} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|opnfv/functest-smoke:iruya|${repo}/functest-smoke:arm-iruya|g" {} +
+find . -name Dockerfile -exec sed -i \
+ -e "s|opnfv/functest-benchmarking:iruya|\
+${repo}/functest-benchmarking:arm-iruya|g" {} +
for dir in ${arm_dirs}; do
(cd "${dir}" && docker build "${build_opts[@]}" \
-t "${repo}/functest-${dir##**/}:arm-iruya" .)
@@ -72,8 +84,8 @@ for dir in ${arm_dirs}; do
(docker rmi "${repo}/functest-${dir##**/}:arm-iruya" || true)
done
[ -n "${arm_dirs}" ] &&
- (docker rmi "${repo}/functest-core:arm-iruya" \
- multiarch/alpine:armhf-v3.9 || true)
+ (docker rmi "${repo}/functest-core:arm-jerma" \
+ arm32v6/alpine:3.9 || true)
find . -name Dockerfile -exec git checkout {} +
exit $?